Index: issm/trunk/src/c/toolkits/issm/IssmMpiDenseMat.h
===================================================================
--- issm/trunk/src/c/toolkits/issm/IssmMpiDenseMat.h	(revision 18081)
+++ issm/trunk/src/c/toolkits/issm/IssmMpiDenseMat.h	(revision 18301)
@@ -45,6 +45,5 @@
 
 		/*IssmMpiDenseMat constructors, destructors*/
-		/*FUNCTION IssmMpiDenseMat(){{{*/
-		IssmMpiDenseMat(){
+		IssmMpiDenseMat(){/*{{{*/
 			this->M=0;
 			this->N=0;
@@ -54,17 +53,14 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiDenseMat(int M,int N){{{*/
-		IssmMpiDenseMat(int Min,int Nin){
+		IssmMpiDenseMat(int Min,int Nin){/*{{{*/
 			this->Init(Min,Nin);
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiDenseMat(int M,int N, doubletype sparsity){{{*/
-		IssmMpiDenseMat(int pM,int pN, doubletype sparsity){
+		IssmMpiDenseMat(int pM,int pN, doubletype sparsity){/*{{{*/
 			/*no sparsity involved here, we are fully dense, so just use the previous constructor: */
 			this->Init(pM,pN);
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiDenseMat(int m,int n,int M,int N,int* d_nnz,int* o_nnz){{{*/
-		IssmMpiDenseMat(int min,int nin,int Min,int Nin,int* d_nnz,int* o_nnz){
+		IssmMpiDenseMat(int min,int nin,int Min,int Nin,int* d_nnz,int* o_nnz){/*{{{*/
 			/*not needed, we are fully dense!: */
 
@@ -82,6 +78,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiDenseMat(doubletype* serial_mat,int M,int N,doubletype sparsity){{{*/
-		IssmMpiDenseMat(doubletype* serial_mat,int Min,int Nin,doubletype sparsity){
+		IssmMpiDenseMat(doubletype* serial_mat,int Min,int Nin,doubletype sparsity){/*{{{*/
 
 			/*Here, we assume that the serial_mat is local to the local cpu, and that it has 
@@ -99,12 +94,10 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiDenseMat(int M,int N, int connectivity, int numberofdofspernode){{{*/
-		IssmMpiDenseMat(int pM,int pN, int connectivity,int numberofdofspernode){
+		IssmMpiDenseMat(int pM,int pN, int connectivity,int numberofdofspernode){/*{{{*/
 			/*not needed, we are fully dense!: */
 			this->Init(pM,pN);
 		}
 		/*}}}*/
-		/*FUNCTION ~IssmMpiDenseMat(){{{*/
-		~IssmMpiDenseMat(){
+		~IssmMpiDenseMat(){/*{{{*/
 			xDelete<doubletype>(this->matrix);
 			M=0;
@@ -114,6 +107,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiDenseMat::Init(int Min,int Nin){{{*/
-		void Init(int Min,int Nin){
+		void Init(int Min,int Nin){/*{{{*/
 
 			this->buckets=new DataSet();
@@ -134,6 +126,5 @@
 
 		/*IssmMpiDenseMat specific routines */
-		/*FUNCTION Echo{{{*/
-		void Echo(void){
+		void Echo(void){/*{{{*/
 
 			int my_rank;
@@ -158,6 +149,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Assemble{{{*/
-		void Assemble(){
+		void Assemble(){/*{{{*/
 
 			int           i,j;
@@ -313,6 +303,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Norm{{{*/
-		doubletype Norm(NormMode mode){
+		doubletype Norm(NormMode mode){/*{{{*/
 
 			doubletype norm,local_norm;
@@ -352,18 +341,15 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetSize{{{*/
-		void GetSize(int* pM,int* pN){
+		void GetSize(int* pM,int* pN){/*{{{*/
 			*pM=M;
 			*pN=N;
 		}
 		/*}}}*/
-		/*FUNCTION GetLocalSize{{{*/
-		void GetLocalSize(int* pM,int* pN){
+		void GetLocalSize(int* pM,int* pN){/*{{{*/
 			*pM=m;
 			*pN=N;
 		}
 		/*}}}*/
-		/*FUNCTION MatMult{{{*/
-		void MatMult(IssmAbsVec<doubletype>* Xin,IssmAbsVec<doubletype>* AXin){
+		void MatMult(IssmAbsVec<doubletype>* Xin,IssmAbsVec<doubletype>* AXin){/*{{{*/
 
 			int         i,j;
@@ -392,6 +378,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Duplicate{{{*/
-		IssmMpiDenseMat<doubletype>* Duplicate(void){
+		IssmMpiDenseMat<doubletype>* Duplicate(void){/*{{{*/
 
 			IssmMpiDenseMat<doubletype>* dup=new IssmMpiDenseMat<doubletype>(this->matrix,this->M,this->N,0);
@@ -400,11 +385,9 @@
 		}
 		/*}}}*/
-		/*FUNCTION ToSerial{{{*/
-		doubletype* ToSerial(void){
+		doubletype* ToSerial(void){/*{{{*/
 			_error_("not supported yet!");
 		}
 		/*}}}*/
-		/*FUNCTION SetValues{{{*/
-		void SetValues(int min,int* idxm,int nin,int* idxn,doubletype* values,InsMode mode){
+		void SetValues(int min,int* idxm,int nin,int* idxn,doubletype* values,InsMode mode){/*{{{*/
 
 			/*we need to store all the values we collect here in order to Assemble later. 
@@ -417,11 +400,9 @@
 		}
 		/*}}}*/
-		/*FUNCTION Convert{{{*/
-		void Convert(MatrixType type){
+		void Convert(MatrixType type){/*{{{*/
 			_error_("not supported yet!");
 		}
 		/*}}}*/		
-		/*FUNCTION BucketsBuildScatterBuffers{{{*/
-		void BucketsBuildScatterBuffers(int** pnumvalues_forcpu,int** prow_indices_forcpu,int** pcol_indices_forcpu,doubletype** pvalues_forcpu,int** pmodes_forcpu,DataSet** bucketsforcpu,int num_procs){
+		void BucketsBuildScatterBuffers(int** pnumvalues_forcpu,int** prow_indices_forcpu,int** pcol_indices_forcpu,doubletype** pvalues_forcpu,int** pmodes_forcpu,DataSet** bucketsforcpu,int num_procs){/*{{{*/
 
 			/*intermediary: */
Index: issm/trunk/src/c/toolkits/issm/IssmMpiSparseMat.h
===================================================================
--- issm/trunk/src/c/toolkits/issm/IssmMpiSparseMat.h	(revision 18081)
+++ issm/trunk/src/c/toolkits/issm/IssmMpiSparseMat.h	(revision 18301)
@@ -45,6 +45,5 @@
 		DataSet*    buckets;  /*here, we store buckets of values that we will Assemble into a global matrix.*/
 		/*IssmMpiSparseMat constructors, destructors*/
-		/*FUNCTION IssmMpiSparseMat(){{{*/
-		IssmMpiSparseMat(){
+		IssmMpiSparseMat(){/*{{{*/
 			this->M=0;
 			this->N=0;
@@ -54,17 +53,14 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiSparseMat(int M,int N){{{*/
-		IssmMpiSparseMat(int Min,int Nin){
+		IssmMpiSparseMat(int Min,int Nin){/*{{{*/
 			this->Init(Min,Nin);
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiSparseMat(int M,int N, doubletype sparsity){{{*/
-		IssmMpiSparseMat(int pM,int pN, doubletype sparsity){
+		IssmMpiSparseMat(int pM,int pN, doubletype sparsity){/*{{{*/
 			/*no sparsity involved here, the sparsity pattern is resolve during the assemble phase: */
 			this->Init(pM,pN);
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiSparseMat(int m,int n,int M,int N,int* d_nnz,int* o_nnz){{{*/
-		IssmMpiSparseMat(int min,int nin,int Min,int Nin,int* d_nnz,int* o_nnz){
+		IssmMpiSparseMat(int min,int nin,int Min,int Nin,int* d_nnz,int* o_nnz){/*{{{*/
 
 			int i;
@@ -89,12 +85,10 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiSparseMat(int M,int N, int connectivity, int numberofdofspernode){{{*/
-		IssmMpiSparseMat(int pM,int pN, int connectivity,int numberofdofspernode){
+		IssmMpiSparseMat(int pM,int pN, int connectivity,int numberofdofspernode){/*{{{*/
 			/*this is not needed, sparsity pattern is resolved at assemble phase: */
 			this->Init(pM,pN);
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiSparseMat::Init(int Min,int Nin){{{*/
-		void Init(int Min,int Nin){
+		void Init(int Min,int Nin){/*{{{*/
 			
 			int i;
@@ -120,6 +114,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION ~IssmMpiSparseMat(){{{*/
-		~IssmMpiSparseMat(){
+		~IssmMpiSparseMat(){/*{{{*/
 			int i;
 
@@ -138,6 +131,5 @@
 
 		/*IssmMpiSparseMat specific routines */
-		/*FUNCTION Echo{{{*/
-		void Echo(void){
+		void Echo(void){/*{{{*/
 
 			/*Do a synchronized dump across all the rows: */
@@ -157,6 +149,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Assemble{{{*/
-		void Assemble(){
+		void Assemble(){/*{{{*/
 
 			int           i,j;
@@ -369,6 +360,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Norm{{{*/
-		doubletype Norm(NormMode mode){
+		doubletype Norm(NormMode mode){/*{{{*/
 
 			doubletype norm,local_norm;
@@ -402,18 +392,15 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetSize{{{*/
-		void GetSize(int* pM,int* pN){
+		void GetSize(int* pM,int* pN){/*{{{*/
 			*pM=M;
 			*pN=N;
 		}
 		/*}}}*/
-		/*FUNCTION GetLocalSize{{{*/
-		void GetLocalSize(int* pM,int* pN){
+		void GetLocalSize(int* pM,int* pN){/*{{{*/
 			*pM=m;
 			*pN=N;
 		}
 		/*}}}*/
-		/*FUNCTION MatMult{{{*/
-		void MatMult(IssmAbsVec<doubletype>* Xin,IssmAbsVec<doubletype>* AXin){
+		void MatMult(IssmAbsVec<doubletype>* Xin,IssmAbsVec<doubletype>* AXin){/*{{{*/
 
 			/*A check on the types: */
@@ -437,6 +424,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Duplicate{{{*/
-		IssmMpiSparseMat<doubletype>* Duplicate(void){
+		IssmMpiSparseMat<doubletype>* Duplicate(void){/*{{{*/
 
 			_error_("not supported yet!");
@@ -444,11 +430,9 @@
 		}
 		/*}}}*/
-		/*FUNCTION ToSerial{{{*/
-		doubletype* ToSerial(void){
+		doubletype* ToSerial(void){/*{{{*/
 			_error_("not supported yet!");
 		}
 		/*}}}*/
-		/*FUNCTION SetValues{{{*/
-		void SetValues(int min,int* idxm,int nin,int* idxn,doubletype* values,InsMode mode){
+		void SetValues(int min,int* idxm,int nin,int* idxn,doubletype* values,InsMode mode){/*{{{*/
 
 			/*we need to store all the values we collect here in order to Assemble later. 
@@ -461,11 +445,9 @@
 		}
 		/*}}}*/
-		/*FUNCTION Convert{{{*/
-		void Convert(MatrixType type){
+		void Convert(MatrixType type){/*{{{*/
 			_error_("not supported yet!");
 		}
 		/*}}}*/		
-		/*FUNCTION BucketsBuildScatterBuffers{{{*/
-		void BucketsBuildScatterBuffers(int** pnumvalues_forcpu,int** prow_indices_forcpu,int** pcol_indices_forcpu,doubletype** pvalues_forcpu,int** pmodes_forcpu,DataSet** bucketsforcpu,int num_procs){
+		void BucketsBuildScatterBuffers(int** pnumvalues_forcpu,int** prow_indices_forcpu,int** pcol_indices_forcpu,doubletype** pvalues_forcpu,int** pmodes_forcpu,DataSet** bucketsforcpu,int num_procs){/*{{{*/
 
 			/*intermediary: */
Index: issm/trunk/src/c/toolkits/issm/IssmMpiVec.h
===================================================================
--- issm/trunk/src/c/toolkits/issm/IssmMpiVec.h	(revision 18081)
+++ issm/trunk/src/c/toolkits/issm/IssmMpiVec.h	(revision 18301)
@@ -42,6 +42,5 @@
 
 		/*IssmMpiVec constructors, destructors*/
-		/*FUNCTION IssmMpiVec(){{{*/
-		IssmMpiVec(){
+		IssmMpiVec(){/*{{{*/
 
 			this->M=0;
@@ -51,21 +50,17 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiVec(int M){{{*/
-		IssmMpiVec(int Min){
+		IssmMpiVec(int Min){/*{{{*/
 			this->Init(Min,false);
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiVec(int m,int M){{{*/
-		IssmMpiVec(int min, int Min){
+		IssmMpiVec(int min, int Min){/*{{{*/
 			this->Init(min,true);
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiVec(int M,bool fromlocalsize){{{*/
-		IssmMpiVec(int Min, bool fromlocalsize){
+		IssmMpiVec(int Min, bool fromlocalsize){/*{{{*/
 			this->Init(Min,fromlocalsize);
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiVec(doubletype* serial_vec,int M){{{*/
-		IssmMpiVec(doubletype* buffer,int Min){
+		IssmMpiVec(doubletype* buffer,int Min){/*{{{*/
 
 			this->Init(Min,false);
@@ -77,6 +72,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiVec(doubletype* serial_vec,int M,int m){{{*/
-		IssmMpiVec(doubletype* buffer,int Min,int min){
+		IssmMpiVec(doubletype* buffer,int Min,int min){/*{{{*/
 
 			this->vector=NULL;
@@ -91,6 +85,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmMpiVec::Init(int Min,bool fromlocalsize){{{*/
-		void Init(int Min,bool fromlocalsize){
+		void Init(int Min,bool fromlocalsize){/*{{{*/
 
 			this->buckets=new DataSet();
@@ -112,6 +105,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION ~IssmMpiVec(){{{*/
-		~IssmMpiVec(){
+		~IssmMpiVec(){/*{{{*/
 			xDelete<doubletype>(this->vector);
 			this->M=0;
@@ -122,6 +114,5 @@
 
 		/*IssmMpiVec specific routines*/
-		/*FUNCTION Echo{{{*/
-		void Echo(void){
+		void Echo(void){/*{{{*/
 
 			int i,j;
@@ -140,6 +131,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Assemble{{{*/
-		void Assemble(){
+		void Assemble(){/*{{{*/
 
 			int           i,j;
@@ -285,6 +275,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION SetValues{{{*/
-		void SetValues(int ssize, int* list, doubletype* values, InsMode mode){
+		void SetValues(int ssize, int* list, doubletype* values, InsMode mode){/*{{{*/
 
 			/*we need to store all the values we collect here in order to Assemble later. 
@@ -297,6 +286,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION SetValue{{{*/
-		void SetValue(int dof, doubletype value, InsMode mode){
+		void SetValue(int dof, doubletype value, InsMode mode){/*{{{*/
 
 			/*we need to store the value we collect here in order to Assemble later. 
@@ -308,11 +296,9 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetValue{{{*/
-		void GetValue(doubletype* pvalue,int dof){
+		void GetValue(doubletype* pvalue,int dof){/*{{{*/
 			_error_("Get value on a MpiVec vector not implemented yet!");
 		}
 		/*}}}*/
-		/*FUNCTION GetSize{{{*/
-		void GetSize(int* pM){
+		void GetSize(int* pM){/*{{{*/
 
 			*pM=this->M;
@@ -320,6 +306,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetLocalSize{{{*/
-		void GetLocalSize(int* pM){
+		void GetLocalSize(int* pM){/*{{{*/
 
 			*pM=this->m;
@@ -327,6 +312,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Duplicate{{{*/
-		IssmMpiVec<doubletype>* Duplicate(void){
+		IssmMpiVec<doubletype>* Duplicate(void){/*{{{*/
 
 			return new IssmMpiVec<doubletype>(this->vector,this->M,this->m);
@@ -334,6 +318,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Set{{{*/
-		void Set(doubletype value){
+		void Set(doubletype value){/*{{{*/
 
 			int i;
@@ -342,6 +325,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION AXPY{{{*/
-		void AXPY(IssmAbsVec<doubletype>* Xin, doubletype a){
+		void AXPY(IssmAbsVec<doubletype>* Xin, doubletype a){/*{{{*/
 
 			int i;
@@ -357,6 +339,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION AYPX{{{*/
-		void AYPX(IssmAbsVec<doubletype>* Xin, doubletype a){
+		void AYPX(IssmAbsVec<doubletype>* Xin, doubletype a){/*{{{*/
 			int i;
 
@@ -371,6 +352,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION ToMPISerial{{{*/
-		doubletype* ToMPISerial(void){
+		doubletype* ToMPISerial(void){/*{{{*/
 
 			/*communicator info: */
@@ -416,6 +396,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Copy{{{*/
-		void Copy(IssmAbsVec<doubletype>* toin){
+		void Copy(IssmAbsVec<doubletype>* toin){/*{{{*/
 
 			int i;
@@ -431,6 +410,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Norm{{{*/
-		doubletype Norm(NormMode mode){
+		doubletype Norm(NormMode mode){/*{{{*/
 
 			doubletype local_norm;
@@ -459,6 +437,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Scale{{{*/
-		void Scale(doubletype scale_factor){
+		void Scale(doubletype scale_factor){/*{{{*/
 
 			int i;
@@ -467,6 +444,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Dot{{{*/
-		doubletype Dot(IssmAbsVec<doubletype>* inputin){
+		doubletype Dot(IssmAbsVec<doubletype>* inputin){/*{{{*/
 
 			int i;
@@ -488,6 +464,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION PointwiseDivide{{{*/
-		void PointwiseDivide(IssmAbsVec<doubletype>* xin,IssmAbsVec<doubletype>* yin){
+		void PointwiseDivide(IssmAbsVec<doubletype>* xin,IssmAbsVec<doubletype>* yin){/*{{{*/
 
 			int i;
@@ -504,6 +479,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION BucketsBuildScatterBuffers{{{*/
-		void BucketsBuildScatterBuffers(int** pnumvalues_forcpu,int** prow_indices_forcpu,doubletype** pvalues_forcpu,int** pmodes_forcpu,DataSet** bucketsforcpu,int num_procs){
+		void BucketsBuildScatterBuffers(int** pnumvalues_forcpu,int** prow_indices_forcpu,doubletype** pvalues_forcpu,int** pmodes_forcpu,DataSet** bucketsforcpu,int num_procs){/*{{{*/
 
 			/*intermediary: */
Index: issm/trunk/src/c/toolkits/issm/IssmSeqVec.h
===================================================================
--- issm/trunk/src/c/toolkits/issm/IssmSeqVec.h	(revision 18081)
+++ issm/trunk/src/c/toolkits/issm/IssmSeqVec.h	(revision 18301)
@@ -37,6 +37,5 @@
 
 		/*IssmSeqVec constructors, destructors*/
-		/*FUNCTION IssmSeqVec(){{{*/
-		IssmSeqVec(){
+		IssmSeqVec(){/*{{{*/
 
 			this->M=0;
@@ -44,6 +43,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmSeqVec(int M){{{*/
-		IssmSeqVec(int pM){
+		IssmSeqVec(int pM){/*{{{*/
 
 			this->M=pM;
@@ -52,6 +50,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmSeqVec(int m,int M){{{*/
-		IssmSeqVec(int pm,int pM){
+		IssmSeqVec(int pm,int pM){/*{{{*/
 
 			this->M=pM;
@@ -60,6 +57,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmSeqVec(int M,bool fromlocalsize){{{*/
-		IssmSeqVec(int pM,bool fromlocalsize){
+		IssmSeqVec(int pM,bool fromlocalsize){/*{{{*/
 
 			this->M=pM;
@@ -68,6 +64,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION IssmSeqVec(doubletype* serial_vec,int M){{{*/
-		IssmSeqVec(doubletype* buffer,int pM){
+		IssmSeqVec(doubletype* buffer,int pM){/*{{{*/
 
 			this->M=pM;
@@ -79,6 +74,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION ~IssmSeqVec(){{{*/
-		~IssmSeqVec(){
+		~IssmSeqVec(){/*{{{*/
 			if(this->M)xDelete<doubletype>(this->vector);
 			M=0;
@@ -87,6 +81,5 @@
 
 		/*IssmSeqVec specific routines*/
-		/*FUNCTION Echo{{{*/
-		void Echo(void){
+		void Echo(void){/*{{{*/
 
 			int i;
@@ -97,6 +90,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Assemble{{{*/
-		void Assemble(void){
+		void Assemble(void){/*{{{*/
 
 			/*do nothing*/
@@ -104,6 +96,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION SetValues{{{*/
-		void SetValues(int ssize, int* list, doubletype* values, InsMode mode){
+		void SetValues(int ssize, int* list, doubletype* values, InsMode mode){/*{{{*/
 
 			int i;
@@ -122,6 +113,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION SetValue{{{*/
-		void SetValue(int dof, doubletype value, InsMode mode){
+		void SetValue(int dof, doubletype value, InsMode mode){/*{{{*/
 
 			switch(mode){
@@ -138,6 +128,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetValue{{{*/
-		void GetValue(doubletype* pvalue,int dof){
+		void GetValue(doubletype* pvalue,int dof){/*{{{*/
 
 			*pvalue=this->vector[dof];
@@ -145,6 +134,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetSize{{{*/
-		void GetSize(int* pM){
+		void GetSize(int* pM){/*{{{*/
 
 			*pM=this->M;
@@ -152,6 +140,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetLocalSize{{{*/
-		void GetLocalSize(int* pM){
+		void GetLocalSize(int* pM){/*{{{*/
 
 			*pM=this->M;
@@ -159,6 +146,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Duplicate{{{*/
-		IssmSeqVec<doubletype>* Duplicate(void){
+		IssmSeqVec<doubletype>* Duplicate(void){/*{{{*/
 
 			return new IssmSeqVec<doubletype>(this->vector,this->M);
@@ -166,6 +152,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Set{{{*/
-		void Set(doubletype value){
+		void Set(doubletype value){/*{{{*/
 
 			int i;
@@ -174,6 +159,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION AXPY{{{*/
-		void AXPY(IssmAbsVec<doubletype>* Xin, doubletype a){
+		void AXPY(IssmAbsVec<doubletype>* Xin, doubletype a){/*{{{*/
 
 			int i;
@@ -189,6 +173,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION AYPX{{{*/
-		void AYPX(IssmAbsVec<doubletype>* Xin, doubletype a){
+		void AYPX(IssmAbsVec<doubletype>* Xin, doubletype a){/*{{{*/
 
 			int i;
@@ -204,6 +187,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION ToMPISerial{{{*/
-		doubletype* ToMPISerial(void){
+		doubletype* ToMPISerial(void){/*{{{*/
 
 			doubletype* buffer=NULL;
@@ -217,6 +199,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Copy{{{*/
-		void Copy(IssmAbsVec<doubletype>* toin){
+		void Copy(IssmAbsVec<doubletype>* toin){/*{{{*/
 
 			int i;
@@ -232,6 +213,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Norm{{{*/
-		doubletype Norm(NormMode mode){
+		doubletype Norm(NormMode mode){/*{{{*/
 
 			doubletype norm;
@@ -255,6 +235,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Scale{{{*/
-		void Scale(doubletype scale_factor){
+		void Scale(doubletype scale_factor){/*{{{*/
 
 			int i;
@@ -263,6 +242,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Dot{{{*/
-		doubletype Dot(IssmAbsVec<doubletype>* inputin){
+		doubletype Dot(IssmAbsVec<doubletype>* inputin){/*{{{*/
 
 			int i;
@@ -279,6 +257,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION PointwiseDivide{{{*/
-		void PointwiseDivide(IssmAbsVec<doubletype>* xin,IssmAbsVec<doubletype>* yin){
+		void PointwiseDivide(IssmAbsVec<doubletype>* xin,IssmAbsVec<doubletype>* yin){/*{{{*/
 
 			int i;
Index: issm/trunk/src/c/toolkits/objects/Matrix.h
===================================================================
--- issm/trunk/src/c/toolkits/objects/Matrix.h	(revision 18081)
+++ issm/trunk/src/c/toolkits/objects/Matrix.h	(revision 18301)
@@ -36,11 +36,9 @@
 
 		/*Matrix constructors, destructors*/
-		/*FUNCTION Matrix(){{{*/
-		Matrix(){
-			InitCheckAndSetType();
-		}
-		/*}}}*/
-		/*FUNCTION Matrix(int M,int N){{{*/
-		Matrix(int M,int N){
+		Matrix(){/*{{{*/
+			InitCheckAndSetType();
+		}
+		/*}}}*/
+		Matrix(int M,int N){/*{{{*/
 
 			InitCheckAndSetType();
@@ -57,6 +55,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Matrix(int m,int n,int M,int N,int* d_nnz,int* o_nnz){{{*/
-		Matrix(int m,int n,int M,int N,int* d_nnz,int* o_nnz){
+		Matrix(int m,int n,int M,int N,int* d_nnz,int* o_nnz){/*{{{*/
 
 			InitCheckAndSetType();
@@ -73,6 +70,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Matrix(int M,int N,IssmDouble sparsity){{{*/
-		Matrix(int M,int N,double sparsity){
+		Matrix(int M,int N,double sparsity){/*{{{*/
 
 			InitCheckAndSetType();
@@ -88,6 +84,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Matrix(IssmDouble* serial_mat, int M,int N,IssmDouble sparsity){{{*/
-		Matrix(IssmPDouble* serial_mat,int M,int N,IssmPDouble sparsity){
+		Matrix(IssmPDouble* serial_mat,int M,int N,IssmPDouble sparsity){/*{{{*/
 
 			InitCheckAndSetType();
@@ -104,6 +99,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Matrix(int M,int N,int connectivity,int numberofdofspernode){{{*/
-		Matrix(int M,int N,int connectivity,int numberofdofspernode){
+		Matrix(int M,int N,int connectivity,int numberofdofspernode){/*{{{*/
 
 			InitCheckAndSetType();
@@ -120,6 +114,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION ~Matrix(){{{*/
-		~Matrix(){
+		~Matrix(){/*{{{*/
 
 			if(type==PetscMatType){
@@ -132,6 +125,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION InitCheckAndSetType(){{{*/
-		void InitCheckAndSetType(void){
+		void InitCheckAndSetType(void){/*{{{*/
 
 			char* toolkittype=NULL;
@@ -165,6 +157,5 @@
 
 		/*Matrix specific routines:*/
-		/*FUNCTION Echo{{{*/
-		void Echo(void){
+		void Echo(void){/*{{{*/
 			_assert_(this);
 
@@ -180,6 +171,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION AllocationInfo{{{*/
-		void AllocationInfo(void){
+		void AllocationInfo(void){/*{{{*/
 			_assert_(this);
 			if(type==PetscMatType){
@@ -193,6 +183,5 @@
 			}
 		}/*}}}*/
-		/*FUNCTION Assemble{{{*/
-		void Assemble(void){
+		void Assemble(void){/*{{{*/
 
 			if(type==PetscMatType){
@@ -206,6 +195,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Norm{{{*/
-		IssmDouble Norm(NormMode norm_type){
+		IssmDouble Norm(NormMode norm_type){/*{{{*/
 
 			IssmDouble norm=0;
@@ -223,6 +211,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetSize{{{*/
-		void GetSize(int* pM,int* pN){
+		void GetSize(int* pM,int* pN){/*{{{*/
 
 			if(type==PetscMatType){
@@ -237,6 +224,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetLocalSize{{{*/
-		void GetLocalSize(int* pM,int* pN){
+		void GetLocalSize(int* pM,int* pN){/*{{{*/
 
 			if(type==PetscMatType){
@@ -251,6 +237,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION MatMult{{{*/
-		void MatMult(Vector<doubletype>* X,Vector<doubletype>* AX){
+		void MatMult(Vector<doubletype>* X,Vector<doubletype>* AX){/*{{{*/
 
 			if(type==PetscMatType){
@@ -265,6 +250,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Duplicate{{{*/
-		Matrix<doubletype>* Duplicate(void){
+		Matrix<doubletype>* Duplicate(void){/*{{{*/
 
 			Matrix<doubletype>* output=new Matrix<doubletype>();
@@ -282,6 +266,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION ToSerial{{{*/
-		doubletype* ToSerial(void){
+		doubletype* ToSerial(void){/*{{{*/
 
 			doubletype* output=NULL;
@@ -299,6 +282,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION SetValues{{{*/
-		void SetValues(int m,int* idxm,int n,int* idxn,IssmDouble* values,InsMode mode){
+		void SetValues(int m,int* idxm,int n,int* idxn,IssmDouble* values,InsMode mode){/*{{{*/
 
 			if(type==PetscMatType){
@@ -312,6 +294,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Convert{{{*/
-		void Convert(MatrixType newtype){
+		void Convert(MatrixType newtype){/*{{{*/
 
 			if(type==PetscMatType){
Index: issm/trunk/src/c/toolkits/objects/Vector.h
===================================================================
--- issm/trunk/src/c/toolkits/objects/Vector.h	(revision 18081)
+++ issm/trunk/src/c/toolkits/objects/Vector.h	(revision 18301)
@@ -128,6 +128,5 @@
 
 		/*Vector specific routines*/
-		/*FUNCTION Echo{{{*/
-		void Echo(void){_assert_(this);
+		void Echo(void){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -140,6 +139,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Assemble{{{*/
-		void Assemble(void){_assert_(this);
+		void Assemble(void){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -152,6 +150,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION SetValues{{{*/
-		void SetValues(int ssize, int* list, doubletype* values, InsMode mode){ _assert_(this);
+		void SetValues(int ssize, int* list, doubletype* values, InsMode mode){ _assert_(this);/*{{{*/
 			if(type==PetscVecType){
 				#ifdef _HAVE_PETSC_
@@ -163,6 +160,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION SetValue{{{*/
-		void SetValue(int dof, doubletype value, InsMode mode){_assert_(this);
+		void SetValue(int dof, doubletype value, InsMode mode){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -175,6 +171,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetValue{{{*/
-		void GetValue(doubletype* pvalue,int dof){_assert_(this);
+		void GetValue(doubletype* pvalue,int dof){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -187,6 +182,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetSize{{{*/
-		void GetSize(int* pM){_assert_(this);
+		void GetSize(int* pM){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -199,6 +193,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION IsEmpty{{{*/
-		bool IsEmpty(void){
+		bool IsEmpty(void){/*{{{*/
 			int M;
 
@@ -212,6 +205,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION GetLocalSize{{{*/
-		void GetLocalSize(int* pM){_assert_(this);
+		void GetLocalSize(int* pM){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -224,6 +216,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Duplicate{{{*/
-		Vector<doubletype>* Duplicate(void){_assert_(this);
+		Vector<doubletype>* Duplicate(void){_assert_(this);/*{{{*/
 
 			Vector<doubletype>* output=NULL;
@@ -242,6 +233,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Set{{{*/
-		void Set(doubletype value){_assert_(this);
+		void Set(doubletype value){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -254,6 +244,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION AXPY{{{*/
-		void AXPY(Vector* X, doubletype a){_assert_(this);
+		void AXPY(Vector* X, doubletype a){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -266,6 +255,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION AYPX{{{*/
-		void AYPX(Vector* X, doubletype a){_assert_(this);
+		void AYPX(Vector* X, doubletype a){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -277,6 +265,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION ToMPISerial{{{*/
-		doubletype* ToMPISerial(void){
+		doubletype* ToMPISerial(void){/*{{{*/
 
 			doubletype* vec_serial=NULL;
@@ -294,6 +281,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Copy{{{*/
-		void Copy(Vector* to){_assert_(this);
+		void Copy(Vector* to){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -305,6 +291,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Max{{{*/
-		doubletype Max(void){_assert_(this);
+		doubletype Max(void){_assert_(this);/*{{{*/
 
 			doubletype max=0;
@@ -319,6 +304,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Norm{{{*/
-		doubletype Norm(NormMode norm_type){_assert_(this);
+		doubletype Norm(NormMode norm_type){_assert_(this);/*{{{*/
 
 			doubletype norm=0;
@@ -333,6 +317,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Scale{{{*/
-		void Scale(doubletype scale_factor){_assert_(this);
+		void Scale(doubletype scale_factor){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
@@ -344,6 +327,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Dot{{{*/
-		doubletype Dot(Vector* vector){_assert_(this);
+		doubletype Dot(Vector* vector){_assert_(this);/*{{{*/
 
 			doubletype dot;
@@ -358,6 +340,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION PointwiseDivide{{{*/
-		void PointwiseDivide(Vector* x,Vector* y){_assert_(this);
+		void PointwiseDivide(Vector* x,Vector* y){_assert_(this);/*{{{*/
 
 			if(type==PetscVecType){
Index: issm/trunk/src/c/toolkits/petsc/objects/PetscMat.cpp
===================================================================
--- issm/trunk/src/c/toolkits/petsc/objects/PetscMat.cpp	(revision 18081)
+++ issm/trunk/src/c/toolkits/petsc/objects/PetscMat.cpp	(revision 18301)
@@ -19,6 +19,5 @@
 
 /*PetscMat constructors and destructor*/
-/*FUNCTION PetscMat::PetscMat(){{{*/
-PetscMat::PetscMat(){
+PetscMat::PetscMat(){/*{{{*/
 	this->matrix=NULL;
 	#ifdef _HAVE_ADOLC_
@@ -28,29 +27,26 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::PetscMat(int M,int N){{{*/
-PetscMat::PetscMat(int M,int N){
+PetscMat::PetscMat(int M,int N){/*{{{*/
 
 	this->matrix=NewMat(M,N,IssmComm::GetComm());
 }
 /*}}}*/
-/*FUNCTION PetscMat::PetscMat(int M,int N, IssmDouble sparsity){{{*/
-PetscMat::PetscMat(int M,int N, IssmDouble sparsity){
+PetscMat::PetscMat(int M,int N, IssmDouble sparsity){/*{{{*/
 
 	this->matrix=NewMat(M,N,sparsity,IssmComm::GetComm());
 }
 /*}}}*/
-/*FUNCTION PetscMat::PetscMat(int m,int n,int M,int N,int* d_nnz,int* o_nnz){{{*/
-PetscMat::PetscMat(int m,int n,int M,int N,int* d_nnz,int* o_nnz){
+PetscMat::PetscMat(int m,int n,int M,int N,int* d_nnz,int* o_nnz){/*{{{*/
 
 	MatCreate(IssmComm::GetComm(),&this->matrix);
 	MatSetSizes(this->matrix,m,n,M,N);
 	MatSetFromOptions(this->matrix);
-	MatMPIAIJSetPreallocation(this->matrix,0,d_nnz,0,o_nnz);
+	PetscErrorCode ierr = MatMPIAIJSetPreallocation(this->matrix,0,d_nnz,0,o_nnz);
+	if(ierr) _error_("PETSc could not allocate matrix (probably not enough memory)");
 //	MatSetOption(this->matrix,MAT_NEW_NONZERO_ALLOCATION_ERR,PETSC_FALSE);
 
 }
 /*}}}*/
-/*FUNCTION PetscMat::PetscMat(IssmDouble* serial_mat,int M,int N,IssmDouble sparsity){{{*/
-PetscMat::PetscMat(IssmDouble* serial_mat,int M,int N,IssmDouble sparsity){
+PetscMat::PetscMat(IssmDouble* serial_mat,int M,int N,IssmDouble sparsity){/*{{{*/
 
 	int     i;
@@ -74,6 +70,5 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::PetscMat(int M,int N, int connectivity, int numberofdofspernode){{{*/
-PetscMat::PetscMat(int M,int N, int connectivity,int numberofdofspernode){
+PetscMat::PetscMat(int M,int N, int connectivity,int numberofdofspernode){/*{{{*/
 
 	this->matrix=NewMat(M,N,connectivity,numberofdofspernode,IssmComm::GetComm());
@@ -81,6 +76,5 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::~PetscMat(){{{*/
-PetscMat::~PetscMat(){
+PetscMat::~PetscMat(){/*{{{*/
 	MatFree(&this->matrix);
 }
@@ -88,6 +82,5 @@
 
 /*PetscMat specific routines: */
-/*FUNCTION PetscMat::AllocationInfo{{{*/
-void PetscMat::AllocationInfo(void){
+void PetscMat::AllocationInfo(void){/*{{{*/
 
 	MatInfo info;
@@ -103,12 +96,10 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::Echo{{{*/
-void PetscMat::Echo(void){
+void PetscMat::Echo(void){/*{{{*/
 
 	MatView(this->matrix,PETSC_VIEWER_STDOUT_WORLD);
 }
 /*}}}*/
-/*FUNCTION PetscMat::Assemble{{{*/
-void PetscMat::Assemble(void){
+void PetscMat::Assemble(void){/*{{{*/
 
 	_assert_(this->matrix);
@@ -118,6 +109,5 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::Norm{{{*/
-IssmDouble PetscMat::Norm(NormMode mode){
+IssmDouble PetscMat::Norm(NormMode mode){/*{{{*/
 
 	IssmDouble norm=0;
@@ -129,6 +119,5 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::GetSize{{{*/
-void PetscMat::GetSize(int* pM,int* pN){
+void PetscMat::GetSize(int* pM,int* pN){/*{{{*/
 
 	_assert_(this->matrix);
@@ -136,6 +125,5 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::GetLocalSize{{{*/
-void PetscMat::GetLocalSize(int* pM,int* pN){
+void PetscMat::GetLocalSize(int* pM,int* pN){/*{{{*/
 
 	_assert_(this->matrix);
@@ -144,6 +132,5 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::MatMult{{{*/
-void PetscMat::MatMult(PetscVec* X,PetscVec* AX){
+void PetscMat::MatMult(PetscVec* X,PetscVec* AX){/*{{{*/
 
 	_assert_(this->matrix);
@@ -153,6 +140,5 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::Duplicate{{{*/
-PetscMat* PetscMat::Duplicate(void){
+PetscMat* PetscMat::Duplicate(void){/*{{{*/
 
 	PetscMat* output=new PetscMat();
@@ -164,6 +150,5 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::ToSerial{{{*/
-IssmDouble* PetscMat::ToSerial(void){
+IssmDouble* PetscMat::ToSerial(void){/*{{{*/
 
 	 IssmDouble* output=NULL;
@@ -174,15 +159,12 @@
 }
 /*}}}*/
-/*FUNCTION PetscMat::SetValues{{{*/
-void PetscMat::SetValues(int m,int* idxm,int n,int* idxn,IssmDouble* values,InsMode mode){
+void PetscMat::SetValues(int m,int* idxm,int n,int* idxn,IssmDouble* values,InsMode mode){/*{{{*/
 
-	PetscErrorCode ierr;
-	ierr = MatSetValues(this->matrix,m,idxm,n,idxn,values,ISSMToPetscInsertMode(mode));
-	if(ierr) _error_("PETSC's MatSetValues reported an error");
+	PetscErrorCode ierr = MatSetValues(this->matrix,m,idxm,n,idxn,values,ISSMToPetscInsertMode(mode));
+	if(ierr) _error_("PETSc's MatSetValues reported an error");
 
 }
 /*}}}*/
-/*FUNCTION PetscMat::Convert{{{*/
-void PetscMat::Convert(MatrixType type){
+void PetscMat::Convert(MatrixType type){/*{{{*/
 
 	MatConvert(this->matrix,ISSMToPetscMatrixType(type),MAT_REUSE_MATRIX,&this->matrix);
